Package com.trilead.ssh2.transport

# Class TransportConnection

java.lang.Object
com.trilead.ssh2.transport.TransportConnection

public class TransportConnection extends Object
TransportConnection.

## Constructor Summary

Constructors
Constructor
Description
`TransportConnection(InputStream is, OutputStream os, SecureRandom rnd)`

## Method Summary

Modifier and Type
Method
Description
`void`
`changeRecvCipher(BlockCipher bc, MAC mac)`
`void`
`changeSendCipher(BlockCipher bc, MAC mac)`
`int`
`getPacketOverheadEstimate()`
`int`
`peekNextMessageLength()`
`int`
`receiveMessage(byte[] buffer, int off, int len)`
`void`
`sendMessage(byte[] message)`
`void`
`sendMessage(byte[] message, int off, int len)`
`void`
`sendMessage(byte[] message, int off, int len, int padd)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TransportConnection

public TransportConnection(InputStream is, OutputStream os, SecureRandom rnd)

## Method Details

### changeRecvCipher

public void changeRecvCipher(BlockCipher bc, MAC mac)

### changeSendCipher

public void changeSendCipher(BlockCipher bc, MAC mac)

### sendMessage

public void sendMessage(byte[] message) throws IOException

Throws:
  `IOException`

### sendMessage

public void sendMessage(byte[] message, int off, int len) throws IOException

Throws:
  `IOException`

### getPacketOverheadEstimate

public int getPacketOverheadEstimate()

### sendMessage

public void sendMessage(byte[] message, int off, int len, int padd) throws IOException

Throws:
  `IOException`

### peekNextMessageLength

public int peekNextMessageLength() throws IOException

Throws:
  `IOException`

### receiveMessage

public int receiveMessage(byte[] buffer, int off, int len) throws IOException

Throws:
  `IOException`